EDIT - feature request #7847

Use separate column for row state instead of symbol in titleCache column

10/23/2018 02:54 PM - Andreas Muller

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 60%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

copied from #7660#note-6 (description there)

Related issues:

Copied from EDIT - feature request #7660: Indicate the row state in a NAT tab... Closed

Associated revisions

Revision 6fde7721 - 11/29/2018 11:46 AM - Patrick Plitzner

ref #7847 Fixate deduplication icon to first column

History

#1 - 10/23/2018 02:56 PM - Andreas Miiller

- Copied from feature request #7600: public setters for entity collections added

#2 - 10/23/2018 02:57 PM - Andreas Miiller

- Description updated

#3 - 10/24/2018 09:20 AM - Andreas Miiller

- Related to feature request #7660: Indicate the row state in a NAT table via symbols added

#4 - 10/24/2018 09:20 AM - Andreas Miiller
- Related to deleted (feature request #7660: Indicate the row state in a NAT table via symbols)

#5 - 10/24/2018 09:21 AM - Andreas Miiller

- Copied from feature request #7660: Indicate the row state in a NAT table via symbols added

#6 - 10/24/2018 09:21 AM - Andreas Miiller

- Copied from deleted (feature request #7600: public setters for entity collections)

#7 - 11/29/2018 11:10 AM - Patrick Plitzner
- Status changed from New to Feedback

- Assignee changed from Patrick Plitzner to Andreas Miiller

It would also be possible to show the icon in the first column no matter what property is shown in the first column. If we add another column the only
use case we have right now is the deduplication. So in most cases the column will be empty. | would prefer showing the icon in the first column. Plus,
it is a rare case that the user would moveor hide the first column as it is some kind of identifier for the whole row object.

#8 - 11/29/2018 11:50 AM - Patrick Plitzner

Patrick Plitzner wrote:

It would also be possible to show the icon in the first column no matter what property is shown in the first column. If we add another column the
only use case we have right now is the deduplication. So in most cases the column will be empty. | would prefer showing the icon in the first
column. Plus, it is a rare case that the user would moveor hide the first column as it is some kind of identifier for the whole row object.

| implemented this in the nightly build if you want to try out.
#9 - 11/30/2018 01:19 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Patrick Plitzner

- % Done changed from 0 to 60

I think we can will with this implementation though | still think that a separate column would be even better.

Is it maybe possible to put the symbol to the left side of the cell? Then it is really at the beginning. By the way the current solution does not work with
checkbox columns as first columns, the symbol is not shown there.

#10 - 11/30/2018 01:46 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

The icon can be put in any corner or even centered. But, at least for now | haven't found an easy solution, if we put it at the beginning it will be drawn
above the text.

In case of the checkbox column there is only the option to draw the icon above the checkbox. However, | think this it is a very rare case that someone
moves any checkbox column to the first column. Additionally the rows are colored according to their deduplication state as a secondary hint.

#11 - 11/30/2018 02:34 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Patrick Plitzner
If it is not possible to put the symbol beside the text we should better leave it where it is.

#12 - 11/30/2018 04:14 PM - Andreas Miiller
- Status changed from Feedback to Closed
